'use client';

import { Address } from '@/domain/entities';
import { container } from '@/application/container';

export function useCheckout() {
  return {
    placeOrder: (input: {
      deliveryAddress: Address;
      paymentMethod: string;
    }) => container.placeOrder.execute(input),
  };
}